document.addEventListener('DOMContentLoaded', () => {
    // Live score update simulation
    setInterval(() => {
        const scores = document.querySelectorAll('.score');
        scores.forEach(score => {
            const currentScore = score.textContent.split('-');
            if (Math.random() > 0.9) {
                const team = Math.floor(Math.random() * 2);
                currentScore[team] = parseInt(currentScore[team]) + 1;
                score.textContent = currentScore.join(' - ');
            }
        });
    }, 5000);

    // Search functionality
    const searchButton = document.querySelector('button');
    const searchInput = document.querySelector('input');

    searchButton.addEventListener('click', () => {
        const searchTerm = searchInput.value.trim();
        if (searchTerm) {
            // Simulate search loading
            searchButton.textContent = 'Searching...';
            setTimeout(() => {
                searchButton.textContent = 'Search';
                alert(`Search results for: ${searchTerm}`);
            }, 1000);
        }
    });

    // Add smooth scrolling
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });
});